petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetOptionsPrefix

Sets the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetOptionsPrefix(DM dm,const char prefix[])

Logically Collective on DM

### Input Parameter

| da | - the DM context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

DM, set, options, prefix, database

### See Also

DMSetFromOptions()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html